(function() {

	tinymce.PluginManager.requireLangPack('wpzbuttons');

	tinymce.create('tinymce.plugins.TinyMCEZButtons', {
		init : function(ed, url) {
			ed.addButton('zbutton1', {
				title : 'Standard Preformatted',
				image : url+'/../images/zbutton1.png',
				onclick : function() {
					ed.execCommand('FormatBlock', false, 'pre');
					var html = tinyMCE.activeEditor.selection.getContent();
					var tagtext = '<pre class="crayon:false;';
					ed.execCommand('mceInsertContent', false, tagtext+'">'+html+'</pre>');
				}
			});
			ed.addButton('zbutton2', {
				title : 'Custom Button',
				image : url+'/../images/zbutton2.png',
				onclick : function() {
					ed.execCommand('FormatBlock', false, 'h2');
				}
			});

		},

		getInfo : function() {
			return {
				longname : 'Zoyinc TinyMCE Buttons',
				author : 'Tony P',
				authorurl : 'http://www.zoyinc.com/',
				infourl : 'http://www.zoyinc.com/',
				version : "1.0"
			};
		}

	});
	tinymce.PluginManager.add('wpzbuttons', tinymce.plugins.TinyMCEZButtons);
})();